net.minecraft.world.biome

## Class BiomeGenForest

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase
  - - net.minecraft.world.biome.BiomeGenForest

-     public class BiomeGenForest
      extends BiomeGenBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.biome.BiomeGenBase

      `BiomeGenBase.FlowerEntry, BiomeGenBase.Height, BiomeGenBase.SpawnListEntry, BiomeGenBase.TempCategory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static WorldGenForest` | `field_150629_aC`
    `protected static WorldGenForest` | `field_150630_aD`
    `protected static WorldGenCanopyTree` | `field_150631_aE`

    - ### Fields inherited from class net.minecraft.world.biome.BiomeGenBase

      `beach, biomeID, biomeName, birchForest, birchForestHills, coldBeach, coldTaiga, coldTaigaHills, color, deepOcean, desert, desertHills, enableRain, enableSnow, explorationBiomesList, extremeHills, extremeHillsEdge, extremeHillsPlus, field_150604_aj, field_150609_ah, field_76754_C, fillerBlock, flowers, forest, forestHills, frozenOcean, frozenRiver, genTallFlowers, height_DeepOceans, height_Default, height_HighPlateaus, height_LowHills, height_LowIslands, height_LowPlains, height_MidHills, height_MidPlains, height_Oceans, height_PartiallySubmerged, height_RockyWaters, height_ShallowWaters, height_Shores, heightVariation, hell, iceMountains, icePlains, jungle, jungleEdge, jungleHills, megaTaiga, megaTaigaHills, mesa, mesaPlateau, mesaPlateau_F, mushroomIsland, mushroomIslandShore, ocean, plains, plantNoise, rainfall, river, roofedForest, rootHeight, savanna, savannaPlateau, sky, spawnableCaveCreatureList, spawnableCreatureList, spawnableMonsterList, spawnableWaterCreatureList, stoneBeach, swampland, taiga, taigaHills, temperature, temperatureNoise, theBiomeDecorator, topBlock, waterColorMultiplier, worldGeneratorBigTree, worldGeneratorSwamp, worldGeneratorTrees`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenForest(int p_i45377_1_, int p_i45377_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BiomeGenBase` | `createMutation()`
    `void` | `decorate(World par1World, java.util.Random par2Random, int par3, int par4)`
    `BiomeGenBase` | `func_150557_a(int p_150557_1_, boolean p_150557_2_)`
    `WorldGenAbstractTree` | `func_150567_a(java.util.Random p_150567_1_)`
    `java.lang.String` | `func_150572_a(java.util.Random p_150572_1_, int p_150572_2_, int p_150572_3_, int p_150572_4_)`
    `int` | `getBiomeGrassColor(int p_150558_1_, int p_150558_2_, int p_150558_3_)`

    - ### Methods inherited from class net.minecraft.world.biome.BiomeGenBase

      `addDefaultFlowers, addFlower, canSpawnLightningBolt, createBiomeDecorator, func_150559_j, func_150563_c, func_76733_a, genBiomeTerrain, genTerrainBlocks, getBiome, getBiomeClass, getBiomeFoliageColor, getBiomeGenArray, getEnableSnow, getFloatRainfall, getFloatTemperature, getIntRainfall, getModdedBiomeDecorator, getModdedBiomeFoliageColor, getModdedBiomeGrassColor, getRandomWorldGenForGrass, getSkyColorByTemp, getSpawnableList, getSpawningChance, getTempCategory, getWaterColorMultiplier, isEqualTo, isHighHumidity, plantFlower, setBiomeName, setColor, setDisableRain, setEnableSnow, setHeight, setTemperatureRainfall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_150629_aC

          protected static final WorldGenForest field_150629_aC

    - #### field_150630_aD

          protected static final WorldGenForest field_150630_aD

    - #### field_150631_aE

          protected static final WorldGenCanopyTree field_150631_aE

  - ### Constructor Detail

    - #### BiomeGenForest

          public BiomeGenForest(int p_i45377_1_,
                        int p_i45377_2_)

  - ### Method Detail

    - #### func_150557_a

          public BiomeGenBase func_150557_a(int p_150557_1_,
                                   boolean p_150557_2_)

      Overrides:
        `func_150557_a` in class `BiomeGenBase`

    - #### func_150567_a

          public WorldGenAbstractTree func_150567_a(java.util.Random p_150567_1_)

      Overrides:
        `func_150567_a` in class `BiomeGenBase`

    - #### func_150572_a

          public java.lang.String func_150572_a(java.util.Random p_150572_1_,
                                       int p_150572_2_,
                                       int p_150572_3_,
                                       int p_150572_4_)

      Overrides:
        `func_150572_a` in class `BiomeGenBase`

    - #### decorate

          public void decorate(World par1World,
                      java.util.Random par2Random,
                      int par3,
                      int par4)

      Overrides:
        `decorate` in class `BiomeGenBase`

    - #### getBiomeGrassColor

          public int getBiomeGrassColor(int p_150558_1_,
                               int p_150558_2_,
                               int p_150558_3_)

      Overrides:
        `getBiomeGrassColor` in class `BiomeGenBase`

    - #### createMutation

          public BiomeGenBase createMutation()

      Overrides:
        `createMutation` in class `BiomeGenBase`